<template>
  <v-container>
    <v-row class="mt-4">
      <v-col cols="12">
        <p class="text-body-1">
          To convert a list of gene IDs into other IDs: Paste your list of IDs
          and then select processing steps by clicking the respective query
          steps. Finally, submit the query and download the table.
        </p>
      </v-col>
    </v-row>
    <AsyncView
      :error="error"
      :loading="pending"
      error-message="Failed to fetch query pipeline steps"
    >
      <QueryPipeline />
    </AsyncView>
  </v-container>
</template>

<script setup lang="ts">
const { fetchSteps } = useQueryPipelineService();
const { data, pending, error } = await useAsyncData(
  "query-pipeline-steps",
  fetchSteps,
);
const queryPipeline = useQueryPipelineStepSelection(data.value || []);
provide(queryPipelineKey, queryPipeline);
</script>
